
% clear all
% clc
% close all

V=30;

mu=1;

lf=1.25;
lr=1.32;
M=1296;
Iz=1750;
Cf=84000*mu;  
Cr=96000*mu;

Kp=10000;
Ki=10000;

b0=Cf*Cr*(lf+lr)*V;
b1=Cf*lf*M*V^2;
a0=Cf*Cr*(lf+lr)^2+(Cr*lr-Cf*lf)*M*V^2;
a1=(Cf*(Iz+M*lf^2)+Cr*(Iz+M*lr^2))*V;
a2=Iz*M*V^2;

num=[b1 b0]

den=[a2 a1 a0]

taun=0.15;
tauq=0.02;

Kn=b0/a0

Q=tf([1],[tauq 1])

G=tf([taun 1],Kn.*[tauq 1])

numws=[1 15*4]

denws=4.*[1 15*0.2]

numwt=1.5.*[1 120*0.5]

denwt=[1 120*1.5]

% numws=[1 25*2]
% 
% denws=2.*[1 25*0.5]
% 
% numwt=1.5.*[1 120*0.2]
% 
% denwt=[1 120*1.5]

% numws=[1 15*4]
% 
% denws=4.*[1 15*0.2]
% 
% numwt=1.5.*[1 120*0.5]
% 
% denwt=[1 120*1.5]

