

% Plant Parameters
% COMES_wrkspc.System.Model.numg=[1];
% COMES_wrkspc.System.Model.deng=conv([1 0],conv([0.1 1],[1 1]));
% COMES_wrkspc.System.Model.taug=0;

% Controller Parameters
COMES_wrkspc.rbstctrl.Controller.Model.num=4*[sym('tq') 1];
COMES_wrkspc.rbstctrl.Controller.Model.den=[sym('tn') 1];
COMES_wrkspc.rbstctrl.Controller.Label.x1='tq';
COMES_wrkspc.rbstctrl.Controller.Label.x2='tn';


%Conventional Controller Parameters
evalin('base',strcat('COMES_wrkspc.convctrl.TypeOfController  =','1',';'));
evalin('base',strcat('COMES_wrkspc.convctrl.InputPrm.phi =','[]',';'));
evalin('base',strcat('COMES_wrkspc.convctrl.InputPrm.w =','[]',';'));
evalin('base',strcat('COMES_wrkspc.convctrl.InputPrm.error =','[]',';'));
evalin('base',strcat('COMES_wrkspc.convctrl.InputPrm.ErrorType =','0',';'));
evalin('base',strcat('COMES_wrkspc.convctrl.InputPrm.Ks =','1',';'));
evalin('base',strcat('COMES_wrkspc.convctrl.InputPrm.SystemType =','[]',';'));

%Model Regulator (Disturbance Observer) Parameters
evalin('base',strcat('COMES_wrkspc.mdlrgltr.InputPrm.f =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.InputPrm.Gr =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.InputPrm.Gi =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.InputPrm.thS =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.InputPrm.AxisLimit =','[0 1 0 1]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.SensPrm.numws =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.SensPrm.denws =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.SensPrm.numwt =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.SensPrm.denwt =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.SensFRM.Ws =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.SensFRM.Wt =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.ctrlPrm.Kr =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.ctrlPrm.Ki =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.ctrlPrm.solL =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.ctrlPrm.tauq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.mdlrgltr.ctrlPrm.taun =','[]',';'));

%Robust COntrol System Design
%D - Stability Analysis and Design
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Constraints.sigma =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Constraints.alpha =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Constraints.R =','[]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Hurwitz.StrFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Hurwitz.EndFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Hurwitz.GridFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Hurwitz.StrPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Hurwitz.EndPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Hurwitz.GridPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Hurwitz.ColorRGB =','[0 0 0]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Hurwitz.Index =','1',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.SettlingTime.GridFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.SettlingTime.ColorRGB =','[0 0 0]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.SettlingTime.Index =','0',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Damping.GridFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Damping.ColorRGB =','[0 0 0]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Damping.Index =','0',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth.Index =','0',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth1.GridFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth1.ColorRGB =','[0 0 0]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth2.StrPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth2.EndPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth2.GridPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth2.ColorRGB =','[0 0 0]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth3.StrPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth3.EndPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth3.GridPrm =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Options.Bandwidth3.ColorRGB =','[0 0 0]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol1.x1 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol1.x2 =','[]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol2.x1 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol2.x2 =','[]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol3.x1 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol3.x2 =','[]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol4.x1 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol4.x2 =','[]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol5.x1 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol5.x2 =','[]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol6.x1 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.Solutions.sol6.x2 =','[]',';'));

evalin('base',strcat('COMES_wrkspc.rbstctrl.DStability.AxisLimit =','[0 1 0 1]',';'));

% Gain Margin Design
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.Options.StrGain =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.Options.EndGain =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.Options.GridGain =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.Options.StrFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.Options.EndFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.Options.GridFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.Solutions.x1 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.Solutions.x2 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.GainMargin.AxisLimit =','[0 1 0 1]',';'));

% Phase Margin Design 
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.Options.StrPhi =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.Options.EndPhi =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.Options.GridPhi =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.Options.StrFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.Options.EndFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.Options.GridFrq =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.Solutions.x1 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.Solutions.x2 =','[]',';'));
evalin('base',strcat('COMES_wrkspc.rbstctrl.PhaseMargin.AxisLimit =','[0 1 0 1]',';'));


