
function [y]=MagCost(K,num_nmp,roots_nmp_re,roots_nmp_im,sol_re,sol_im,x,z,Wth)

sonuc = polyval(num_nmp,z);

% term = 3.61./power((abs(exp(z)+0.9)),2);
% 
% sonuc = term.*sonuc;

% NMP Zeros
% Real Ones
if isempty(roots_nmp_re) ~= 1
    %real
    for i=1:legth(roots_nmp_re)
        term = (1./z-roots_nmp_re(i))./power((1-roots_nmp_re(i)),2);
        sonuc = sonuc.*term;
    end
end
% Complex Ones
if isempty(roots_nmp_im) ~= 1
    %complex
    for i=1:2:length(roots_nmp_im)
        term = (1./z-roots_nmp_im(i)).*((1./z)-roots_nmp_im(i+1))./power((1-roots_nmp_im(i)),2)./power((1-roots_nmp_im(i+1)),2);
        sonuc = sonuc.*term;
    end
end

if sol_re ~= 0
    xr = x(1,1:sol_re);
    for i=1:sol_re
        term = (z-xr(i)).*(1./z-xr(i))./power((1-xr(i)),2);
        sonuc = sonuc.*term;
    end
end

if sol_im ~= 0
    xc = x(1,sol_re+1:sol_re+2*sol_im);
    for i=1:2:2*sol_im
        term = ((z-xc(i)+j*xc(i+1)).*(1./z-xc(i)-j*xc(i+1))./power((1-xc(i)+j*xc(i+1)),2)).*((z-xc(i)-j*xc(i+1)).*(1./z-xc(i)+j*xc(i+1))./power((1-xc(i)-j*xc(i+1)),2));
        sonuc = sonuc.*term;
    end
end

% x=abs(sonuc)

logic = 1;

for i=1:length(sonuc)
    if abs(sonuc(i))<=1.0
        logic = 1*logic;
    else
        logic = 0*logic;
    end
end

if logic == 1
    y=sum(abs(Wth.*(1-sonuc)).^2);
else
    y=1e9;
end

% y=sum((1-abs(sonuc).*Gfr).^2);
