
function [y]=FreqResp(K,num_mp,roots_nmp_re,roots_nmp_im,den_Gfb,sol_re,sol_im,x,z)

sonuc = polyval(den_Gfb,z)./polyval(K.*num_mp,z);

if isempty(roots_nmp_re) ~= 1
    %real
    for i=1:length(roots_nmp_re)
        term = (1./z-roots_nmp_re(i))./power((1-roots_nmp_re(i)),2);
        sonuc = sonuc.*term;
    end
end

if isempty(roots_nmp_im) ~= 1
    %complex
    for i=1:2:length(roots_nmp_im)
        term = ((1./z)-roots_nmp_im(i)).*((1./z)-roots_nmp_im(i+1))./power((1-roots_nmp_im(i)),2)./power((1-roots_nmp_im(i+1)),2);
        sonuc = sonuc.*term;
    end
end

if sol_re ~= 0
    xr = x(1,1:sol_re);
    for i=1:sol_re
        term = (z-xr(i)).*(1./z-xr(i))./power((1-xr(i)),2);
        sonuc = sonuc.*term;
    end
end

if sol_im ~= 0
    xc = x(1,sol_re+1:sol_re+2*sol_im);
    for i=1:2:2*sol_im
        term = ((z-xc(i)+j*xc(i+1)).*(1./z-xc(i)-j*xc(i+1))./power((1-xc(i)+j*xc(i+1)),2)).*((z-xc(i)-j*xc(i+1)).*(1./z-xc(i)+j*xc(i+1))./power((1-xc(i)-j*xc(i+1)),2));
        sonuc = sonuc.*term;
    end
end

y=sonuc;
