
function [COMES_wrkspc] = CalcCCp2(COMES_wrkspc)

thS = COMES_wrkspc.mdlrgltr.InputPrm.thS;
Ws  = COMES_wrkspc.mdlrgltr.SensFRM.Ws;
Wt  = COMES_wrkspc.mdlrgltr.SensFRM.Wt;
Gr  = COMES_wrkspc.mdlrgltr.InputPrm.Gr;
Gi  = COMES_wrkspc.mdlrgltr.InputPrm.Gi;

[n1,m1]=size(thS);

% Dimension error check (HERE IS INCOMPLETE)
n2 = length(Wt);
n3 = length(Ws);
n4 = length(Gr);
n5 = length(Gi);
n = n2;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if (m1 == 1)
    k = ones(1,n);
else
    k = 1:n;
end;
k
for i = 1:n
    [rtrn.Kr(i,:), rtrn.Ki(i,:), rtrn.solL(i,:)] = CalcCC(thS(:,k(i)),Ws(i),Wt(i),Gr(i),Gi(i));
end;

COMES_wrkspc.mdlrgltr.ctrlPrm.Kr = rtrn.Kr;
COMES_wrkspc.mdlrgltr.ctrlPrm.Ki = rtrn.Ki;
COMES_wrkspc.mdlrgltr.ctrlPrm.solL = rtrn.solL;

% End Of Function
