%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% fillHyperbola.m 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   fills a given hyperbola
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   inputs :
%
%   outputs :
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [] = fillHyperbola(x,y)
for i=0:length(x)-1
    dist(i+1) = ( x(mod(i+1,length(x))+1) - x(mod(i,length(x))+1))^2 + ( y(mod(i+1,length(y))+1) - y(mod(i,length(y))+1))^2;
end;

[i1 , i2] = extremum(dist);
if i1<i2
    a1=i1;
    a2=i2;
else
    a1=i2;
    a2=i1;
end;  
l=1;
%hold on,fill([x(a2+l:length(x)),x(1:a1-l)],[y(a2+l:length(y)),y(1:a1-l)],[1 0 0],'EdgeColor',[1 0 0])
%hold on,fill(x(a1+l:a2-l),y(a1+l:a2-l),[1 0 0],'EdgeColor',[1 0 0])
%figure
hold on,plot([x(a2+1:length(x)),x(1:a1-1)],[y(a2+1:length(y)),y(1:a1-1)])
hold on,plot(x(a1+1:a2-1),y(a1+1:a2-1))

%hold on,plot([x(a2+1:length(x)),x(1:a1-1)],[y(a2+1:length(y)),y(1:a1-1)],'r.')
%hold on,plot(x(a1+1:a2-1),y(a1+1:a2-1),'r.')