
function [COMES_wrkspc] = SystemFreqAnalysis(COMES_wrkspc)

ffr = logspace(-2,4,5000);

Gfr=polyval(COMES_wrkspc.System.Model.numg,j.*ffr)./polyval(COMES_wrkspc.System.Model.deng,j.*ffr).*exp(-COMES_wrkspc.System.Model.taug.*j.*ffr);


COMES_wrkspc.convctrl.SystemFRM.ffr = ffr;
COMES_wrkspc.convctrl.SystemFRM.Gain = abs(Gfr);
COMES_wrkspc.convctrl.SystemFRM.Phase= unwrap(angle(Gfr));

%End Of Function