

thS = COMES_wrkspc.mdlrgltr.InputPrm.thS;
Ws  = COMES_wrkspc.mdlrgltr.SensFRM.Ws;
Wt  = COMES_wrkspc.mdlrgltr.SensFRM.Wt;
Gr  = COMES_wrkspc.mdlrgltr.InputPrm.Gr;
Gi  = COMES_wrkspc.mdlrgltr.InputPrm.Gi;

for i = 1:110
    [rtrn.Kr(i,:), rtrn.Ki(i,:), rtrn.solL(i,:)] = CalcCC(thS,Ws(i),Wt(i),Gr(i),Gi(i));
end;

COMES_wrkspc.mdlrgltr.ctrlPrm.Kr = rtrn.Kr;
COMES_wrkspc.mdlrgltr.ctrlPrm.Ki = rtrn.Ki;
COMES_wrkspc.mdlrgltr.ctrlPrm.solL = rtrn.solL;

Kn = 7.3372;

% [n,m] = size(COMES_wrkspc.mdlrgltr.ctrlPrm.Kr);


for i=1:110
    if (length(COMES_wrkspc.mdlrgltr.ctrlPrm.solL(i,:))~=0)
        wa = 2*pi*COMES_wrkspc.mdlrgltr.InputPrm.f(i);
        COMES_wrkspc.mdlrgltr.ctrlPrm.tauq(i,:) = (-1)./(Kn.*COMES_wrkspc.mdlrgltr.ctrlPrm.Ki(i,:).*wa);
        COMES_wrkspc.mdlrgltr.ctrlPrm.taun(i,:) = (-COMES_wrkspc.mdlrgltr.ctrlPrm.Kr(i,:))./(COMES_wrkspc.mdlrgltr.ctrlPrm.Ki(i,:).*wa);
    else
        COMES_wrkspc.mdlrgltr.ctrlPrm.tauq(i,:) = [];
        COMES_wrkspc.mdlrgltr.ctrlPrm.taun(i,:) = [];
    end;
end;

figure(2)

for i=1:110
    
    plot([COMES_wrkspc.mdlrgltr.ctrlPrm.tauq(i,:) COMES_wrkspc.mdlrgltr.ctrlPrm.tauq(i,1)],[COMES_wrkspc.mdlrgltr.ctrlPrm.taun(i,:) COMES_wrkspc.mdlrgltr.ctrlPrm.taun(i,1)])
    hold on
    
end


